Loading...
Searching...
No Matches
lgf_reader.h File Reference
Input-Output » LEMON Graph Format
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <set>`
`#include <map>`
`#include <lemon/core.h>`
`#include <lemon/lgf_writer.h>`
`#include <lemon/concept_check.h>`
`#include <lemon/concepts/maps.h>`

## Classes

class | DigraphReader< DGR >
| LGF reader for directed graphs More...
class | GraphReader< GR >
| LGF reader for undirected graphs More...
class | BpGraphReader< BGR >
| LGF reader for bipartite graphs More...
class | SectionReader
| Section reader class. More...
class | LgfContents
| Reader for the contents of the LGF file. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.